# MeshStatVis(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MeshStatVis`(bpy_struct)
  `distort_max`

    Maximum angle to display

    Type: | float in [0, 3.14159], default 0.5

  `distort_min`

    Minimum angle to display

    Type: | float in [0, 3.14159], default 0.5

  `overhang_axis`

    Type: | enum in [‘POS_X’, ‘POS_Y’, ‘POS_Z’, ‘NEG_X’, ‘NEG_Y’, ‘NEG_Z’], default ‘POS_X’

  `overhang_max`

    Maximum angle to display

    Type: | float in [0, 3.14159], default 0.5

  `overhang_min`

    Minimum angle to display

    Type: | float in [0, 3.14159], default 0.5

  `sharp_max`

    Maximum angle to display

    Type: | float in [-3.14159, 3.14159], default 0.5

  `sharp_min`

    Minimum angle to display

    Type: | float in [-3.14159, 3.14159], default 0.5

  `thickness_max`

    Maximum for measuring thickness

    Type: | float in [0, 1000], default 0.5

  `thickness_min`

    Minimum for measuring thickness

    Type: | float in [0, 1000], default 0.5

  `thickness_samples`

    Number of samples to test per face

    Type: | int in [1, 32], default 0

  `type`

    Type of data to visualize/check

    Type: | enum in [‘OVERHANG’, ‘THICKNESS’, ‘INTERSECT’, ‘DISTORT’, ‘SHARP’], default ‘OVERHANG’

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`ToolSettings.statvis` |